<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta content="{{ name }}" property="og:title">
    <meta content="{{ motd }}" property="og:description">
    <meta content="#ff6600" name="theme-color">
    <meta content="dark" name="color-scheme">
    <title>{{ name }} v{{ version }} - {% block title %}{% endblock %}</title>
    <meta content="width=device-width, initial-scale=1" name="viewport">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-dark-5@1.0.2/dist/css/bootstrap-night.min.css" rel="stylesheet">
    <!-- <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" crossorigin="anonymous"> -->
    {% block head %}{% endblock %}
</head>

<body>
<nav class="navbar navbar-expand-lg navbar-dark" style="background-color: var(--bs-gray);">
    <div class="container-fluid">
        <a class="navbar-brand" href="{{ url_for('home') }}">{{ name }}</a>
        <button class="navbar-toggler" data-bs-target="#headerNavBar" data-bs-toggle="collapse" type="button">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="headerNavBar">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link active" href="{{ url_for('home') }}">home</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link active" href="{{ url_for('discord') }}">discord</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link active" href="{{ url_for('dashboard') }}">dashboard</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link active" href="https://gitlab.com/GGORG/SharX">source code</a>
                </li>
            </ul>
        </div>
    </div>
</nav>

<div class="container mt-4">
    {% with messages = get_flashed_messages() %}
    {% if messages %}
    {% for message in messages %}
    <div class="alert alert-warning alert-dismissible fade show" role="alert">
        {{ message }}
        <button aria-label="Close" class="btn-close" data-bs-dismiss="alert" type="button"></button>
    </div>
    {% endfor %}
    {% endif %}
    {% endwith %}

    {% block body %}{% endblock %}
</div>

<script crossorigin="anonymous" src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js">
</script>
</body>

</html>